com.jscape.inet.mft

## Class DropZoneDescriptor

- java.lang.Object
- - com.jscape.inet.mft.DropZoneDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class DropZoneDescriptor
      extends java.lang.Object
      implements java.io.Serializable, com.jscape.util.db.IntVersioned

  Drop zone descriptor.
  Author:
    Alex Usun
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DropZoneDescriptor()` Used in serialization subsystem.
    `DropZoneDescriptor(DropZoneDescriptor that)`
    `DropZoneDescriptor(java.lang.String zoneName, java.lang.String accountName, java.lang.String virtualZoneDirectory, boolean createDirectoryIfNotExists, boolean overwriteFileIfExists, java.lang.String urlBrandingName, java.lang.String owner, java.lang.String[] tags, long creationDate, int version)` Creates a new descriptor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccountName()` Returns account name.
    `long` | `getCreationDate()`
    `java.lang.String` | `getOwner()` Returns owner account name.
    `java.lang.String[]` | `getTags()`
    `java.net.URI` | `getUri()`
    `java.lang.String` | `getUrlBrandingName()` Returns URL branding name.
    `int` | `getVersion()`
    `java.lang.String` | `getVirtualZoneDirectory()` Returns virtual zone directory path in account's file system.
    `java.lang.String` | `getZoneName()` Returns drop zone name.
    `boolean` | `isCreateDirectoryIfNotExists()` Returns whether directory will be created if it does not exist.
    `boolean` | `isOverwriteFileIfExists()` Returns whether file will be overwritten if already exists
    `void` | `setAccountName(java.lang.String value)` Sets account name.
    `void` | `setCreateDirectoryIfNotExists(boolean value)` Sets whether directory should be created if it does not exist.
    `void` | `setCreationDate(long value)`
    `void` | `setOverwriteFileIfExists(boolean value)` Sets whether file will be overwritten if already exists
    `void` | `setOwner(java.lang.String value)` Sets an owner account name.
    `void` | `setTags(java.lang.String[] value)`
    `void` | `setUri(java.net.URI value)`
    `void` | `setUrlBrandingName(java.lang.String value)` Sets URL branding name to map to the drop zone.
    `void` | `setVersion(int value)`
    `void` | `setVirtualZoneDirectory(java.lang.String value)` Sets virtual zone directory path in account's file system.
    `void` | `setZoneName(java.lang.String value)` Sets drop zone name.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DropZoneDescriptor

          public DropZoneDescriptor(java.lang.String zoneName,
                                    java.lang.String accountName,
                                    java.lang.String virtualZoneDirectory,
                                    boolean createDirectoryIfNotExists,
                                    boolean overwriteFileIfExists,
                                    java.lang.String urlBrandingName,
                                    java.lang.String owner,
                                    java.lang.String[] tags,
                                    long creationDate,
                                    int version)

      Creates a new descriptor.
      Parameters:
        `zoneName` - a drop zone name
        `accountName` - an account name
        `virtualZoneDirectory` - a virtual zone directory path in account's file system
        `createDirectoryIfNotExists` - whether directory should be created if it does not exist
        `overwriteFileIfExists` - whether file should be overwritten if already exist
        `urlBrandingName` - an URL branding to map to the drop zone
        `owner` - indicate who the owner of the drop zone is

    - #### DropZoneDescriptor

          public DropZoneDescriptor(DropZoneDescriptor that)

    - #### DropZoneDescriptor

          public DropZoneDescriptor()

      Used in serialization subsystem.

  - ### Method Detail

    - #### getZoneName

          public java.lang.String getZoneName()

      Returns drop zone name.
      Returns:
        drop zone name

    - #### setZoneName

          public void setZoneName(java.lang.String value)

      Sets drop zone name.
      Parameters:
        `value` - a new drop zone name

    - #### getAccountName

          public java.lang.String getAccountName()

      Returns account name.
      Returns:
        an account name

    - #### setAccountName

          public void setAccountName(java.lang.String value)

      Sets account name.
      Parameters:
        `value` - a new account name

    - #### getVirtualZoneDirectory

          public java.lang.String getVirtualZoneDirectory()

      Returns virtual zone directory path in account's file system.
      Returns:
        virtual zone directory path in account's file system

    - #### setVirtualZoneDirectory

          public void setVirtualZoneDirectory(java.lang.String value)

      Sets virtual zone directory path in account's file system.
      Parameters:
        `value` - a new virtual zone directory path in account's file system

    - #### isCreateDirectoryIfNotExists

          public boolean isCreateDirectoryIfNotExists()

      Returns whether directory will be created if it does not exist.
      Returns:
        `true` if directory will be created; `false` otherwise

    - #### setCreateDirectoryIfNotExists

          public void setCreateDirectoryIfNotExists(boolean value)

      Sets whether directory should be created if it does not exist.
      Parameters:
        `value` - `true` if directory should be created

    - #### isOverwriteFileIfExists

          public boolean isOverwriteFileIfExists()

      Returns whether file will be overwritten if already exists
      Returns:
        `true` if overwrite file; `false` otherwise

    - #### setOverwriteFileIfExists

          public void setOverwriteFileIfExists(boolean value)

      Sets whether file will be overwritten if already exists
      Parameters:
        `value` - `true` if file should be overwritten

    - #### getUrlBrandingName

          public java.lang.String getUrlBrandingName()

      Returns URL branding name.
      Returns:
        URL branding name

    - #### setUrlBrandingName

          public void setUrlBrandingName(java.lang.String value)

      Sets URL branding name to map to the drop zone.
      Parameters:
        `value` - URL Branding name or `null` if there is no any branding

    - #### getOwner

          public java.lang.String getOwner()

      Returns owner account name.
      Returns:
        an owner name or `null` if zone doesn't belong to any owner

    - #### setOwner

          public void setOwner(java.lang.String value)

      Sets an owner account name.
      Parameters:
        `value` - a new owner account name or `null` if zone doesn't belong to any owner

    - #### getUri

          public java.net.URI getUri()

    - #### setUri

          public void setUri(java.net.URI value)

    - #### getTags

          public java.lang.String[] getTags()

    - #### setTags

          public void setTags(java.lang.String[] value)

    - #### getCreationDate

          public long getCreationDate()

    - #### setCreationDate

          public void setCreationDate(long value)

    - #### getVersion

          public int getVersion()

      Specified by:
        `getVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### setVersion

          public void setVersion(int value)

      Specified by:
        `setVersion` in interface `com.jscape.util.db.IntVersioned`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2020. All Rights Reserved